From d1e4cb56d148ff35aae1db09b94862bd659c4e2e Mon Sep 17 00:00:00 2001
From: Raghav Gururajan <raghavgururajan@disroot.org>
Date: Thu, 7 May 2020 21:31:55 -0400
Subject: [PATCH 09/22] gnu: girara: Rearrange elements of package definition.

* gnu/packages/pwmt.scm (girara): Reorder fields.
---
 gnu/packages/pwmt.scm | 18 +++++++++---------
 1 file changed, 9 insertions(+), 9 deletions(-)

diff --git a/gnu/packages/pwmt.scm b/gnu/packages/pwmt.scm
index 57f1847a39..977ba39ccc 100644
--- a/gnu/packages/pwmt.scm
+++ b/gnu/packages/pwmt.scm
@@ -59,13 +59,7 @@
                        version ".tar.xz"))
        (sha256
         (base32 "0cmjdismdsx9a5l7zx54zkd33mgg3mx4ckpvc7aap3x6a1ddmz2i"))))
-    (native-inputs `(("pkg-config" ,pkg-config)
-                     ("check" ,check)
-                     ("gettext" ,gettext-minimal)
-                     ("glib:bin" ,glib "bin")
-                     ("xorg-server" ,xorg-server-for-tests)))
-    ;; Listed in 'Requires.private' of 'girara.pc'.
-    (propagated-inputs `(("gtk+" ,gtk+)))
+    (build-system meson-build-system)
     (arguments
      `(#:phases (modify-phases %standard-phases
                   (add-before 'check 'start-xserver
@@ -83,8 +77,13 @@
                         (setenv "DBUS_FATAL_WARNINGS" "0")
                         (zero? (system (string-append xorg-server "/bin/Xvfb "
                                                       display " &")))))))))
-    (build-system meson-build-system)
-    (home-page "https://pwmt.org/projects/girara/")
+    (native-inputs `(("pkg-config" ,pkg-config)
+                     ("check" ,check)
+                     ("gettext" ,gettext-minimal)
+                     ("glib:bin" ,glib "bin")
+                     ("xorg-server" ,xorg-server-for-tests)))
+    ;; Listed in 'Requires.private' of 'girara.pc'.
+    (propagated-inputs `(("gtk+" ,gtk+)))
     (synopsis "Library for minimalistic gtk+3 user interfaces")
     (description "Girara is a library that implements a user interface that
 focuses on simplicity and minimalism.  Currently based on GTK+, a
@@ -93,6 +92,7 @@ main components: a so-called view widget that represents the actual
 application, an input bar that is used to execute commands of the
 application and the status bar which provides the user with current
 information.")
+    (home-page "https://pwmt.org/projects/girara/")
     (license license:zlib)))
 
 (define-public zathura
-- 
2.26.2

